> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flowpayroll.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get OAuth login URI

> Returns the provider OAuth login URI for the current organisation. Frontend redirects the user to this URI to start the connection flow.



## OpenAPI

````yaml /api-reference/specs/billing.json get /integrations/{provider}/connect
openapi: 3.0.1
info:
  title: Billing Service
  description: Billing API for FlowPayroll
  contact:
    name: FlowPayroll
    email: support@flowpayroll.com
  version: v1
servers:
  - url: https://api.sandbox.flowpayroll.ai/v1/billing
security:
  - X-Auth-Token: []
tags:
  - name: Account codes
    description: Create, update, archive, and delete accounting ledger codes.
  - name: Tax rates
    description: Manage default and custom tax rates.
  - name: Invoice & credit note templates
    description: >-
      Configure invoice and credit note templates, and list the available
      reference and description tokens.
  - name: Finance defaults
    description: >-
      Organisation finance defaults, pay element mappings, and attachment
      limits.
  - name: Invoices
  - name: Credit Notes
  - name: Clients
  - name: Integrations
  - name: Accounting Sync
paths:
  /integrations/{provider}/connect:
    get:
      tags:
        - Integrations
      summary: Get OAuth login URI
      description: >-
        Returns the provider OAuth login URI for the current organisation.
        Frontend redirects the user to this URI to start the connection flow.
      operationId: GetConnect
      parameters:
        - name: provider
          in: path
          required: true
          schema:
            type: string
        - name: redirectUri
          in: query
          schema:
            type: string
        - name: state
          in: query
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConnectResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorCodeResponse'
components:
  schemas:
    ConnectResponse:
      type: object
      properties:
        loginUri:
          type: string
      additionalProperties: false
    ErrorCodeResponse:
      type: object
      properties:
        code:
          type: string
      additionalProperties: false
  securitySchemes:
    X-Auth-Token:
      type: apiKey
      description: Authentication token for API access
      name: X-Auth-Token
      in: header

````